curl --request GET \
--url 'https://api.workstream.stateset.com/v1/fleet/outcomes' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_slug": "acme-outdoors",
"brand_display_name": "string",
"workflow_execution_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_type": "string",
"status": "pending",
"source": "string",
"channel": "string",
"currency": "USD",
"value_minor": 4900,
"quantity": 2,
"dedupe_key": "string",
"billable": true,
"metadata": {},
"occurred_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"total": 102,
"limit": 20,
"offset": 1
}
List fleet outcomes
Outcomes across every visible brand.
GET
/
v1
/
fleet
/
outcomes
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/fleet/outcomes' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_slug": "acme-outdoors",
"brand_display_name": "string",
"workflow_execution_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_type": "string",
"status": "pending",
"source": "string",
"channel": "string",
"currency": "USD",
"value_minor": 4900,
"quantity": 2,
"dedupe_key": "string",
"billable": true,
"metadata": {},
"occurred_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"total": 102,
"limit": 20,
"offset": 1
}
Query parameters
Response
object
Show items
Show items
Status codes
| Code | Meaning |
|---|---|
200 | Outcomes across every visible brand. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/fleet/outcomes' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"tenant_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"brand_slug": "acme-outdoors",
"brand_display_name": "string",
"workflow_execution_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"workflow_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"external_id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"outcome_type": "string",
"status": "pending",
"source": "string",
"channel": "string",
"currency": "USD",
"value_minor": 4900,
"quantity": 2,
"dedupe_key": "string",
"billable": true,
"metadata": {},
"occurred_at": "2026-08-31T14:22:05Z",
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
],
"total": 102,
"limit": 20,
"offset": 1
}
Last modified on August 31, 2026